Bug 1128745 - [abrt] evolution: full_name_editor_delete_event_cb(): evolution killed by SIGSEGV
Summary: [abrt] evolution: full_name_editor_delete_event_cb(): evolution killed by SIG...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:db2b91a9613ed5eeb0d955e0056...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 13:09 UTC by Stefan Ringel
Modified: 2014-09-04 05:24 UTC (History)
6 users (show)

Fixed In Version: evolution-3.13.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-02 08:33:55 UTC


Attachments (Terms of Use)
File: backtrace (46.18 KB, text/plain)
2014-08-11 13:09 UTC, Stefan Ringel
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-11 13:09 UTC, Stefan Ringel
no flags Details
File: core_backtrace (32.47 KB, text/plain)
2014-08-11 13:09 UTC, Stefan Ringel
no flags Details
File: dso_list (32.02 KB, text/plain)
2014-08-11 13:10 UTC, Stefan Ringel
no flags Details
File: environ (1.28 KB, text/plain)
2014-08-11 13:10 UTC, Stefan Ringel
no flags Details
File: exploitable (100 bytes, text/plain)
2014-08-11 13:10 UTC, Stefan Ringel
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-11 13:10 UTC, Stefan Ringel
no flags Details
File: maps (147.51 KB, text/plain)
2014-08-11 13:10 UTC, Stefan Ringel
no flags Details
File: open_fds (4.02 KB, text/plain)
2014-08-11 13:10 UTC, Stefan Ringel
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2014-08-11 13:10 UTC, Stefan Ringel
no flags Details
File: var_log_messages (13.35 KB, text/plain)
2014-08-11 13:10 UTC, Stefan Ringel
no flags Details
new backtrace with debuginfo (81.41 KB, text/plain)
2014-09-03 07:36 UTC, Stefan Ringel
no flags Details

Description Stefan Ringel 2014-08-11 13:09:53 UTC
Version-Release number of selected component:
evolution-3.13.4-1.fc22

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        evolution
crash_function: full_name_editor_delete_event_cb
executable:     /usr/bin/evolution
kernel:         3.16.0-1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 full_name_editor_delete_event_cb at /usr/lib64/evolution/3.14/libecontacteditor.so
 #5 contact_added_cb at /usr/lib64/evolution/3.14/libecontacteditor.so
 #6 final_id_cb.isra at /usr/lib64/evolution/3.14/libecontacteditor.so
 #7 add_contact_ready_cb at /usr/lib64/evolution/3.14/libecontacteditor.so
 #8 g_simple_async_result_complete at /lib64/libgio-2.0.so.0
 #9 complete_in_idle_cb_for_thread at /lib64/libgio-2.0.so.0
 #11 g_main_context_iterate.isra at /lib64/libglib-2.0.so.0
 #13 gtk_main at /lib64/libgtk-3.so.0

Comment 1 Stefan Ringel 2014-08-11 13:09:56 UTC
Created attachment 925733 [details]
File: backtrace

Comment 2 Stefan Ringel 2014-08-11 13:09:57 UTC
Created attachment 925734 [details]
File: cgroup

Comment 3 Stefan Ringel 2014-08-11 13:09:59 UTC
Created attachment 925735 [details]
File: core_backtrace

Comment 4 Stefan Ringel 2014-08-11 13:10:01 UTC
Created attachment 925736 [details]
File: dso_list

Comment 5 Stefan Ringel 2014-08-11 13:10:02 UTC
Created attachment 925737 [details]
File: environ

Comment 6 Stefan Ringel 2014-08-11 13:10:03 UTC
Created attachment 925738 [details]
File: exploitable

Comment 7 Stefan Ringel 2014-08-11 13:10:04 UTC
Created attachment 925739 [details]
File: limits

Comment 8 Stefan Ringel 2014-08-11 13:10:07 UTC
Created attachment 925740 [details]
File: maps

Comment 9 Stefan Ringel 2014-08-11 13:10:08 UTC
Created attachment 925741 [details]
File: open_fds

Comment 10 Stefan Ringel 2014-08-11 13:10:09 UTC
Created attachment 925742 [details]
File: proc_pid_status

Comment 11 Stefan Ringel 2014-08-11 13:10:11 UTC
Created attachment 925743 [details]
File: var_log_messages

Comment 12 Milan Crha 2014-09-01 08:30:22 UTC
Thanks for a bug report. Could you provide any steps how to reproduce this crash, please? I tried to do it,by guessing from the backtrace, but I've no luck. Also, could you install debuginfo packages for evolution-data-server and evolution, please? You'll get more detailed backtrace in case you'll be able to reproduce the crash. Make sure the debuginfo package version will be the same as the one for the binary package.

Comment 13 Stefan Ringel 2014-09-01 16:04:14 UTC
I have updated my system many times (rawhide), so I have version 3.13.5 now. I think I can't reproduce with the new version.

Have you see the addional report (https://retrace.fedoraproject.org/faf/reports/418204/)?

Comment 14 Milan Crha 2014-09-02 08:33:55 UTC
Nope, I did't see the faf report, though it seems to be linked with this bug report and only one occurrence.

My steps for a reproducer:
a) open evolution in the Contacts view
   $ evolution -c contacts
b) select On This Computer/Personal book
c) File->New->Contact
d) press Full name button and type: aaa<tab>bbb
e) press Ok button at the bottom, which returns you back into the contact editor
f) press Full name button again
g) press Cancel button at the Contact editor window (the Full name dialog will
   be left opened when the editor's Cancel button is pressed)

This crashes in rawhide, with gtk3-3.13.7, but works as expected with older gtk, like gtk3-3.10.6. Nonetheless, after a deeper investigation, this is not a gtk issue, I'm more surprised this didn't crash earlier/always. I fixed the crash upstream as:

Created commit 707ba27 in evo master (3.13.6+) [1]
Created commit de69ab3 in evo evolution-3-12 (3.12.6+)

[1] https://git.gnome.org/browse/evolution/commit/?id=707ba27

Comment 15 Stefan Ringel 2014-09-03 07:02:58 UTC
(In reply to Milan Crha from comment #14)
> Nope, I did't see the faf report, though it seems to be linked with this bug
> report and only one occurrence.
> 
> My steps for a reproducer:
> a) open evolution in the Contacts view
>    $ evolution -c contacts
> b) select On This Computer/Personal book
> c) File->New->Contact
> d) press Full name button and type: aaa<tab>bbb
> e) press Ok button at the bottom, which returns you back into the contact
> editor
> f) press Full name button again
> g) press Cancel button at the Contact editor window (the Full name dialog
> will
>    be left opened when the editor's Cancel button is pressed)
> 
O.k. I'am also.

Comment 16 Stefan Ringel 2014-09-03 07:36:46 UTC
Created attachment 933963 [details]
new backtrace with debuginfo

Comment 17 Milan Crha 2014-09-04 05:24:37 UTC
Thanks. This is the same what I fixed, as mentioned at the end of the comment #14.


Note You need to log in before you can comment on or make changes to this bug.